Bug 596413 - SELinux is preventing /usr/sbin/usbmuxd "lock" access on /var/run/usbmuxd.pid.
SELinux is preventing /usr/sbin/usbmuxd "lock" access on /var/run/usbmux...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
13
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
setroubleshoot_trace_hash:964fe13a6fb...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-26 13:57 EDT by Steven Stern
Modified: 2010-06-08 15:27 EDT (History)
2 users (show)

See Also:
Fixed In Version: selinux-policy-3.7.19-23.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-08 15:27:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steven Stern 2010-05-26 13:57:18 EDT
Summary:

SELinux is preventing /usr/sbin/usbmuxd "lock" access on /var/run/usbmuxd.pid.

Detailed Description:

[SELinux is in permissive mode. This access was not denied.]

SELinux denied access requested by usbmuxd. It is not expected that this access
is required by usbmuxd and this access may signal an intrusion attempt. It is
also possible that the specific version or configuration of the application is
causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                system_u:system_r:usbmuxd_t:s0-s0:c0.c1023
Target Context                unconfined_u:object_r:var_run_t:s0
Target Objects                /var/run/usbmuxd.pid [ file ]
Source                        usbmuxd
Source Path                   /usr/sbin/usbmuxd
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           usbmuxd-1.0.4-1.fc13
Target RPM Packages           
Policy RPM                    selinux-policy-3.7.19-15.fc13
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed) 2.6.33.4-95.fc13.i686.PAE #1 SMP
                              Thu May 13 05:38:26 UTC 2010 i686 i686
Alert Count                   1
First Seen                    Wed 26 May 2010 12:49:07 PM CDT
Last Seen                     Wed 26 May 2010 12:49:07 PM CDT
Local ID                      1ecdab5a-9ef3-4387-b8d8-e01f5cead5d2
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1274896147.268:29185): avc:  denied  { lock } for  pid=2800 comm="usbmuxd" path="/var/run/usbmuxd.pid" dev=dm-0 ino=12750 scontext=system_u:system_r:usbmuxd_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:var_run_t:s0 tclass=file

node=(removed) type=SYSCALL msg=audit(1274896147.268:29185): arch=40000003 syscall=221 success=yes exit=0 a0=3 a1=5 a2=bfcc6f24 a3=804f5e7 items=0 ppid=2697 pid=2800 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="usbmuxd" exe="/usr/sbin/usbmuxd" subj=system_u:system_r:usbmuxd_t:s0-s0:c0.c1023 key=(null)



Hash String generated from  catchall,usbmuxd,usbmuxd_t,var_run_t,file,lock
audit2allow suggests:

#============= usbmuxd_t ==============
#!!!! This avc is allowed in the current policy

allow usbmuxd_t var_run_t:file lock;
Comment 1 Daniel Walsh 2010-05-26 16:40:50 EDT
restorecon -R -v /var/run/usbmuxd.pid

Should fix.

Fixed in selinux-policy-3.7.19-21.fc13.noarch
yum update selinux-policy-targeted --enablerepo=updates-testing
Comment 2 Fedora Update System 2010-05-28 08:27:15 EDT
selinux-policy-3.7.19-22.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/selinux-policy-3.7.19-22.fc13
Comment 3 Fedora Update System 2010-05-31 14:19:14 EDT
selinux-policy-3.7.19-22.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/selinux-policy-3.7.19-22.fc13
Comment 4 Fedora Update System 2010-06-02 14:11:03 EDT
selinux-policy-3.7.19-23.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/selinux-policy-3.7.19-23.fc13
Comment 5 Fedora Update System 2010-06-08 15:25:48 EDT
selinux-policy-3.7.19-23.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.